Package ru.bitel.oss.systems.inventory.product.common.bean

# Class ProductSpec

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.oss.systems.inventory.product.common.bean.ProductSpec

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`, `Node<ProductSpec>`, `Tied`, `TreeNode<ProductSpec>`

public class ProductSpec extends Entity implements Node<ProductSpec>, Tied

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface ru.bitel.common.model.Tied

  `Tied.TieResolver<T,TT>, Tied.TieUnresolvedException, Tied.Utils<T,TT extends Tied>`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProductSpec()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ProductSpecActivationMode>`
  `getActivationModeList()`
  `List<ProductSpec>`
  `getChildren()`
  `String`
  `getComment()`
  `Set<Integer>`
  `getContractLabels()`
  `String`
  `getData()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `Set<Integer>`
  `getDepends()`
  `String`
  `getDescription()`
  `int`
  `getHideForContractGroupsMode()`
  `Set<Integer>`
  `getHideForContractLabels()`
  `String`
  `getIdentifier()`
  `Set<Integer>`
  `getIncompatible()`
  `int`
  `getModeId()`
  `int`
  `getModuleId()`
  `int`
  `getNPayServiceId()`
  `int`
  `getParentId()`
  `int`
  `getPriority()`
  `int`
  `getSort()`
  `Set<Integer>`
  `getTariffIds()`
  `boolean`
  `isActivationByCustomer()`
  `boolean`
  `isDeactivationByCustomer()`
  `boolean`
  `isHideForCustomer()`
  `boolean`
  `isNotRealtime()`
  `boolean`
  `isPeriodic()`
  `ProductSpec`
  `setActivationByCustomer(boolean activationByCustomer)`
  `ProductSpec`
  `setActivationModeList(List<ProductSpecActivationMode> activationModeList)`
  `void`
  `setChildren(List<ProductSpec> children)`
  `ProductSpec`
  `setComment(String comment)`
  `ProductSpec`
  `setContractLabels(Set<Integer> contractLabels)`
  `ProductSpec`
  `setData(String data)`
  `ProductSpec`
  `setDateFrom(Date dateFrom)`
  `ProductSpec`
  `setDateTo(Date dateTo)`
  `ProductSpec`
  `setDeactivationByCustomer(boolean deactivationByCustomer)`
  `ProductSpec`
  `setDepends(Set<Integer> depends)`
  `ProductSpec`
  `setDescription(String description)`
  `ProductSpec`
  `setEntityAttributes(Map<Integer,EntityAttr> entityAttributes)`
  `ProductSpec`
  `setEntityId(int entityId)`
  `ProductSpec`
  `setEntitySpecId(int entitySpecId)`
  `ProductSpec`
  `setHideForContractGroupsMode(int hideForContractGroupsMode)`
  `ProductSpec`
  `setHideForContractLabels(Set<Integer> hideForContractLabels)`
  `ProductSpec`
  `setHideForCustomer(boolean hideForCustomer)`
  `ProductSpec`
  `setId(int id)`
  Устанавливает id объекта
  `ProductSpec`
  `setIdentifier(String identifier)`
  `ProductSpec`
  `setIncompatible(Set<Integer> incompatible)`
  `ProductSpec`
  `setModuleId(int moduleId)`
  `ProductSpec`
  `setNotRealtime(boolean notRealtime)`
  `ProductSpec`
  `setParentId(int parentId)`
  `ProductSpec`
  `setPeriodic(boolean periodic)`
  `ProductSpec`
  `setPriority(int priority)`
  `ProductSpec`
  `setSort(int sort)`
  `ProductSpec`
  `setTariffIds(Set<Integer> tariffIds)`
  `ProductSpec`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

  ### Methods inherited from interface ru.bitel.common.model.Tied

  `getId`

- ## Constructor Details

  - ### ProductSpec

    public ProductSpec()

- ## Method Details

  - ### getActivationModeList

    public List<ProductSpecActivationMode> getActivationModeList()

  - ### getChildren

    public List<ProductSpec> getChildren()
    Specified by:
      `getChildren` in interface `TreeNode<ProductSpec>`

  - ### getComment

    public String getComment()

  - ### getContractLabels

    public Set<Integer> getContractLabels()

  - ### getData

    public String getData()

  - ### getDateFrom

    public Date getDateFrom()

  - ### getDateTo

    public Date getDateTo()

  - ### getDepends

    public Set<Integer> getDepends()
    Specified by:
      `getDepends` in interface `Tied`

  - ### getDescription

    public String getDescription()

  - ### getHideForContractGroupsMode

    public int getHideForContractGroupsMode()

  - ### getHideForContractLabels

    public Set<Integer> getHideForContractLabels()

  - ### getIdentifier

    public String getIdentifier()

  - ### getIncompatible

    public Set<Integer> getIncompatible()
    Specified by:
      `getIncompatible` in interface `Tied`

  - ### getModeId

    public int getModeId()

  - ### getModuleId

    public int getModuleId()

  - ### getNPayServiceId

    public int getNPayServiceId()

  - ### getParentId

    public int getParentId()
    Specified by:
      `getParentId` in interface `Node<ProductSpec>`

  - ### getPriority

    public int getPriority()

  - ### getSort

    public int getSort()

  - ### getTariffIds

    public Set<Integer> getTariffIds()

  - ### isActivationByCustomer

    public boolean isActivationByCustomer()

  - ### isDeactivationByCustomer

    public boolean isDeactivationByCustomer()

  - ### isHideForCustomer

    public boolean isHideForCustomer()

  - ### isNotRealtime

    public boolean isNotRealtime()

  - ### isPeriodic

    public boolean isPeriodic()

  - ### setActivationByCustomer

    public ProductSpec setActivationByCustomer(boolean activationByCustomer)

  - ### setActivationModeList

    public ProductSpec setActivationModeList(List<ProductSpecActivationMode> activationModeList)

  - ### setChildren

    public void setChildren(List<ProductSpec> children)
    Specified by:
      `setChildren` in interface `Node<ProductSpec>`

  - ### setComment

    public ProductSpec setComment(String comment)

  - ### setContractLabels

    public ProductSpec setContractLabels(Set<Integer> contractLabels)

  - ### setData

    public ProductSpec setData(String data)

  - ### setDateFrom

    public ProductSpec setDateFrom(Date dateFrom)

  - ### setDateTo

    public ProductSpec setDateTo(Date dateTo)

  - ### setDeactivationByCustomer

    public ProductSpec setDeactivationByCustomer(boolean deactivationByCustomer)

  - ### setDepends

    public ProductSpec setDepends(Set<Integer> depends)

  - ### setDescription

    public ProductSpec setDescription(String description)

  - ### setEntityAttributes

    public ProductSpec setEntityAttributes(Map<Integer,EntityAttr> entityAttributes)
    Overrides:
      `setEntityAttributes` in class `AbstractEntity`

  - ### setEntitySpecId

    public ProductSpec setEntitySpecId(int entitySpecId)
    Overrides:
      `setEntitySpecId` in class `AbstractEntity`

  - ### setHideForContractGroupsMode

    public ProductSpec setHideForContractGroupsMode(int hideForContractGroupsMode)

  - ### setHideForContractLabels

    public ProductSpec setHideForContractLabels(Set<Integer> hideForContractLabels)

  - ### setHideForCustomer

    public ProductSpec setHideForCustomer(boolean hideForCustomer)

  - ### setId

    public ProductSpec setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setIdentifier

    public ProductSpec setIdentifier(String identifier)

  - ### setIncompatible

    public ProductSpec setIncompatible(Set<Integer> incompatible)

  - ### setModuleId

    public ProductSpec setModuleId(int moduleId)

  - ### setNotRealtime

    public ProductSpec setNotRealtime(boolean notRealtime)

  - ### setParentId

    public ProductSpec setParentId(int parentId)

  - ### setPeriodic

    public ProductSpec setPeriodic(boolean periodic)

  - ### setPriority

    public ProductSpec setPriority(int priority)

  - ### setSort

    public ProductSpec setSort(int sort)

  - ### setTariffIds

    public ProductSpec setTariffIds(Set<Integer> tariffIds)

  - ### setTitle

    public ProductSpec setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setEntityId

    public ProductSpec setEntityId(int entityId)
    Overrides:
      `setEntityId` in class `Entity`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `IdTitle`